### Function

# RB builder_load

#### Declaration [src]

    GtkBuilder*
    rb_builder_load (
      const char* file,
      gpointer user_data
    )

#### Description [src]

Locates and reads a GtkBuilder file, automatically connecting signal handlers where possible.

The caller can specify an absolute path to the file, a resource path starting with /org/gnome/Rhythmbox/ or just a filename. The file will be loaded from GResources.

#### Parameters

`file`

  Type: `const char*`

  Filename, either absolute or relative to the data directory.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data to pass to autoconnected signal handlers.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkBuilder`

`GtkBuilder` object built from the file.

The caller of the function takes ownership of the data, and is responsible for freeing it.